package server

import (
	"git.loafle.net/commons/server-go"
	csgw "git.loafle.net/commons/server-go/socket/web"
	ogeg "git.loafle.net/overflow/gateway/external/grpc"
)

type ServerHandler interface {
	csgw.ServerHandler
}

type ServerHandlers struct {
	csgw.ServerHandlers
}

func (sh *ServerHandlers) Init(serverCtx server.ServerCtx) error {
	if err := sh.ServerHandlers.Init(serverCtx); nil != err {
		return nil
	}
	ogeg.InitPackage()

	return nil
}

func (sh *ServerHandlers) Destroy(serverCtx server.ServerCtx) {
	ogeg.DestroyPackage()

	sh.ServerHandlers.Destroy(serverCtx)
}
